summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Marek Srejma <sam_web@yahoo.de>2013-12-20 21:12:23 +0700
committer Robby Workman <rworkman@slackbuilds.org>2013-12-25 15:05:37 -0600
commitddbbb22b4d807c891805096e5be1ed7920d8330f (patch)
treebc80d99c739ec0c839c5bc23e5aa64fc824d7a4a /audio
parent3f804ccb5fa8214de3f6d1007f478c13d72e596f (diff)
downloadslackbuilds-ddbbb22b4d807c891805096e5be1ed7920d8330f.tar.gz
slackbuilds-ddbbb22b4d807c891805096e5be1ed7920d8330f.tar.xz
audio/spandsp: Added (A DSP library for telephony).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/spandsp/README15
-rw-r--r--audio/spandsp/slack-desc21
-rw-r--r--audio/spandsp/spandsp.SlackBuild94
-rw-r--r--audio/spandsp/spandsp.info10
4 files changed, 140 insertions, 0 deletions
diff --git a/audio/spandsp/README b/audio/spandsp/README
new file mode 100644
index 0000000000..1420de8acf
--- /dev/null
+++ b/audio/spandsp/README
@@ -0,0 +1,15 @@
+spandsp 0.0.6pre21 - A DSP library for telephony
+-----------------------------------------------
+
+SpanDSP is a library of DSP functions for telephony, in the 8000 sample per
+second world of E1s, T1s, and higher order PCM channels. It contains low
+level functions, such as basic filters. It also contains higher level
+functions, such as cadenced supervisory tone detection, and a complete
+software FAX machine.
+The software has been designed to avoid intellectual property issues, using
+mature techniques where all relevant patents have expired. See the file
+DueDiligence for important information about these intellectual property issues
+
+The library is licenced under the LGPL 2.1 licence. The test suite, and some
+support programs are licenced under the GPL 2 licence. The full text of these
+licences can be found in the file COPYING.
diff --git a/audio/spandsp/slack-desc b/audio/spandsp/slack-desc
new file mode 100644
index 0000000000..f9e9172f32
--- /dev/null
+++ b/audio/spandsp/slack-desc
@@ -0,0 +1,21 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+spandsp: spandsp 0.0.6pre21 (A DSP library for telephony)
+spandsp:
+spandsp: SpanDSP is a library of DSP functions for telephony, in the 8000
+spandsp: sample per second world of E1s, T1s, and higher order PCM channels.
+spandsp: It contains low level functions, such as basic filters. It also
+spandsp: contains higher level functions, such as cadenced supervisory tone
+spandsp: detection, and a complete software FAX machine.
+spandsp: The software has been designed to avoid intellectual property issues,
+spandsp: using mature techniques where all relevant patents have expired.
+spandsp: See the file DueDiligence for important information about these
+spandsp: intellectual property issues.
+spandsp:
+spandsp: http://www.soft-switch.org/
diff --git a/audio/spandsp/spandsp.SlackBuild b/audio/spandsp/spandsp.SlackBuild
new file mode 100644
index 0000000000..7a2f9fe067
--- /dev/null
+++ b/audio/spandsp/spandsp.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+#
+# Slackware build script for spandsp
+#
+# Copyright 2013 slacksam (sam_web@yahoo.de)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=spandsp
+VERSION=${VERSION:-0.0.6}
+SUBVERSION=${SUBVERSION:-pre21}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION$SUBVERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CXXFLAGS="$SLKCFLAGS" \
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog DueDiligence INSTALL NEWS README README.testdata \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION$SUBVERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/spandsp/spandsp.info b/audio/spandsp/spandsp.info
new file mode 100644
index 0000000000..9654128d4c
--- /dev/null
+++ b/audio/spandsp/spandsp.info
@@ -0,0 +1,10 @@
+PRGNAM="spandsp"
+VERSION="0.0.6pre21"
+HOMEPAGE="http://www.soft-switch.org/"
+DOWNLOAD="http://www.soft-switch.org/downloads/spandsp/spandsp-0.0.6pre21.tgz"
+MD5SUM="492f3790439891c07d8c06e97ccbfcf1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="slacksam"
+EMAIL="sam_web@yahoo.de"